
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("business_task")]
    public class BusinessTask
    {

        [Key]
        [Column("id")]
        public int id { get; set; }

        /// <summary>
        /// 任务订单号
        /// </summary>
        [Column("order_no")]
        public string orderNo { get; set; }

        /// <summary>
        /// 任务号
        /// </summary>
        [Column("task_no")]
        public Guid? taskNo { get; set; }

        /// <summary>
        /// 预设线路
        /// </summary>
        [Column("pre_line_id")]
        public Guid? preLineId { get; set; }

        /// <summary>
        /// 预设线名称
        /// </summary>
        [Column("pre_line_name")]
        public string preLineName { get; set; }

        /// <summary>
        /// 完成状态
        /// </summary>
        [Column("complete_state")]
        public int? completeState { get; set; }

        /// <summary>
        /// 单据状态
        /// </summary>
        [Column("task_state")]
        public Guid? taskState { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        [Column("task_type")]
        public Guid? taskType { get; set; }

        /// <summary>
        /// 任务出发站台
        /// </summary>
        [Column("site_id")]
        public Guid? siteId { get; set; }

        /// <summary>
        /// 目标站台分流区
        /// </summary>
        [Column("sitearea_id")]
        public int? siteareaId { get; set; }

        /// <summary>
        /// 操作时间
        /// </summary>
        [Column("optdate")]
        public DateTime? optdate { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

